// XAPP132 
//  
// Standard DLL Example
//

module dll_standard (CLKIN, RESET, CLK0, LOCKED);
input CLKIN, RESET;
output CLK0, LOCKED;

wire CLKIN_w, RESET_w, CLK0_dll, LOCKED_dll;

IBUFG clkpad (.I(CLKIN), .O(CLKIN_w));
IBUF  rstpad (.I(RESET), .O(RESET_w));

CLKDLL dll (.CLKIN(CLKIN_w), .CLKFB(CLK0), .RST(RESET_w), 
            .CLK0(CLK0_dll), .CLK90(), .CLK180(), .CLK270(),
            .CLK2X(), .CLKDV(), .LOCKED(LOCKED_dll));

BUFG   clkg   (.I(CLK0_dll), .O(CLK0));
OBUF   lckpad (.I(LOCKED_dll), .O(LOCKED));

endmodule
